#include <RFM69.h>
#include <SPI.h>
#include <SoftwareSerial.h>
#include <MP3Player_KT403A.h>
#define PIR_MOTION_SENSOR 12//Use pin 2 to receive the signal from the module
#define LED             5
SoftwareSerial mp3(2, 3);;
SoftwareSerial rfm (7,8);
#define NETWORKID     0   // Must be the same for all nodes
#define MYNODEID      1   // My node ID
#define TONODEID      2   // Destination node ID
#define FREQUENCY   RF69_433MHZ
#define ENCRYPT       true // Set to "true" to use encryption
#define ENCRYPTKEY    "TOPSECRETPASSWRD" // Use the same 16-byte key on all nodes
#define USEACK        true // Request ACKs or not
RFM69 radio;

void setup()
{
    Serial.begin(9600); 
    rfm.begin(9600);
     mp3.begin(9600);
    delay(100);
    
    pinsInit();
    SelectPlayerDevice(0x02);       // Select SD card as the player device.
    SetVolume(0x1E);                // Set the volume, the range is 0x00 to 0x1E.
    Serial.print("Node ");
    Serial.print(MYNODEID,DEC);
    Serial.println(" ready");  
    radio.initialize(FREQUENCY, MYNODEID, NETWORKID);
    radio.setHighPower(); // Always use this for RFM69HCW
    if (ENCRYPT)
    radio.encrypt(ENCRYPTKEY);
}

void loop() 
{
        int sensorValue = digitalRead(PIR_MOTION_SENSOR);
        static char sendbuffer[62];
        static int sendlength = 0;
	if(sensorValue == HIGH)
{
delay(1000);
if(sensorValue == HIGH)

{
  delay(5000);
  turnOffLED();
  delay(3000);
  SpecifyMusicPlay(1);
  int i=0;
 
for(i=0;i<1;i++)
{
      rfm.listen();
      rfm.print("1");
      char input = rfm.read();
     
      delay(3000);
    
      Serial.print("sending to node ");
      Serial.print(TONODEID, DEC);
      Serial.print(", message [");
      for (byte i = 0; i < sendlength; i++)
      Serial.print(sendbuffer[i]);
      Serial.println("]");

      // There are two ways to send packets. If you want
      // acknowledgements, use sendWithRetry():
    
      if (USEACK)
      {
        if (radio.sendWithRetry(TONODEID, sendbuffer, sendlength))
          Serial.println("ACK received!");
        else
          Serial.println("no ACK received");
      }

      // If you don't need acknowledgements, just use send():

      else // don't use ACK
      {
        radio.send(TONODEID, sendbuffer, sendlength);
      }
      sendlength = 0; // reset the packet
    
        delay(3000); 
        SpecifyMusicPlay(1);
        
     
  while(1)
  {
  
  }
}
}
}
}

void pinsInit()
{
	pinMode(PIR_MOTION_SENSOR, INPUT);
	pinMode(LED,OUTPUT);
        digitalWrite(LED,HIGH);
}
void turnOnLED()
{
	digitalWrite(LED,HIGH);
}
void turnOffLED()
{
	digitalWrite(LED,LOW);
}


